### Method

# Gck Object get_template_async

#### Declaration [src]

    void
    gck_object_get_template_async (
      GckObject* self,
      gulong attr_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get an attribute template from the object. The `attr_type` must be for an attribute which returns a template.

This call will return immediately and complete asynchronously.

#### Parameters

`attr_type` | `gulong`
| The template attribute type.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.